SourceTree Analyzer Overview

Thank you for choosing Nitro Technologies' SourceTree Analyzer.

This application will enable you to quickly and efficiently track changes between different document trees such as source code, websites and electronic publications formats, increasing productivity for disconnected collaborative development, backup management and source code version tracking.

SourceTree Analyzer can also be used effectively to monitor the differences between mirrored data, for example examining the changes between backups or keeping production and development/testing servers in sync and reports can be stored in either html or text format for later use.

If you have any problems with this application which the Frequently Asked Questions or Troubleshooting sections in this help file don't solve, please don't hesitate to contact our support staff via email at support@nitrotech.co.uk or check our website for updates.

We hope that you find this product useful and beneficial to your work. If you have any comments or suggestions please contact us via email at info@nitrotech.co.uk.

Nitro Technologies Development Team

Copyright © 2002 Nitro Technologies. All rights reserved.


SourceTree Analyzer Features

Features

Nitro Technologies' SourceTree Analyzer is a small, fast and extremely powerful utility which empowers its user to quickly and effectively track changes between different revisions of any type of document trees.
Feature List
 | Blisteringly fast document tree analysis
 | Extremely small memory footprint
 | Integration with your development environment/editor
 | Saves hours of tedious manual work
 | HTML or Text report formats
 | Drag and Drop folder comparison
 | Excellent value for money
 | Minimal system requirements


Installing SourceTree Analyzer

Installing Nitro Technologies' SourceTree Analyzer is very straightforward; simply unzip the InstallSTAnalyzer.zip file that you downloaded from our website and double click the InstallSTAnalyzer.exe file. Follow the instructions during the installation process to copy all the necessary files and set up your computer to start using SourceTree Analyzer.

You can upgrade to the full version quickly and easily online.

If you wish to uninstall SourceTree Analyzer, either click the Uninstall icon in the program group on the Windows Start Menu, or go to Add/Remove programs via the Windows Control Panel.


Using SourceTree Analyzer

SourceTree Analyzer Usage

To begin using SourceTree Analyzer to track the differences between revisions of a document tree you simply need to give the location of the two trees and click the Go button. You can either use the two browse buttons to choose the path to the document trees or you can type/paste them into the text boxes. Alternatively, you can enter the pathnames by dragging and dropping a folder onto the text boxes. The output may be saved at any time by choosing "Save as Text/HTML" from the File menu.

If you select Quick Scan then the comparison will be extremely fast, but may miss files whose contents, but not size, have changed. If the Quick Scan checkbox is unchecked then SourceTree Analyzer will perform an in-depth analysis of the files and will report every file which has been changed.

The document trees can be present on a local hard drive, removable media (such as Zip disk or CDROM) or available over a network share. Double clicking on certain items in the report will open the relevant files, for example if a file has changed then double clicking the report line which mentions this will open the new file in your default editor.


About Nitro Technologies

Nitro Technologies is a new and innovative software business located in the United Kingdom. Although founded in 2001, the ideas, concepts and work behind our existing products and many of those still to come have been in place for a considerable time prior to this.

The majority of our products will be aimed at the 32-bit Windows consumer market although we can provide solutions for unix and other non-windows platforms and hope soon to be releasing quality software for these as well. Our developers produce high calibre code in many languages, yet we strive to use only the most efficient and up to date methods to provide reliable, lightning fast and bullet proof software in every situation. This dedicatation to the consumer is reflected in our packages which we believe offer novel and highly useful features.

We aim to make all our software aggressively priced and feature-rich, specialising in software which utilises our experience of low level system programming allowing us to implement pioneering features. Our main interests include encryption, networking and distributive computing.

Nitro Technologies also donates 10% of all income to a registered charity for the benefit of those less fortunate than ourselves.

Nitro Technologies wishes to establish a firm presence as a reliable and trustworthy company providing end users with quality products.

If you have any queries about the company or our products then please visit our contact page and feel free to ask us.

Company Policies

  • Nitro Technologies will always endeavour to please our customers. We will consider all user feedback and implement as many of the enhancements as we can.

  • The only information collected from our website visitors and customers is data which is provided during registration (which is used for future customer contact), geographic location from ip addresses and any information provided by the visitor on the feedback form.

  • Your on-line privacy is of the utmost importance to us. As a result we will never pass on any information collected from our customers unless legally obliged to do so. We have formed no partnerships with marketing or advertising companies and will not sell data to them.


Contacting Nitro Technologies

Website location

Primary location - http://www.nitrotech.co.uk

Online Information

Online Support - http://www.nitrotech.co.uk/support.html

Sales Information - http://www.nitrotech.co.uk/purchase.html

Email contacts

The following email addresses are available at all times for you to contact Nitro Technologies. Responses are usually quick and we will do our best to provide you with all the information you require.

Sales inquiries | sales@nitrotech.co.uk
Technical support | support@nitrotech.co.uk
Website related emails | webmaster@nitrotech.co.uk
Bug reports | support@nitrotech.co.uk


Troubleshooting

Problem | Possible Explanation
Double clicking a report item doesn't open the file. | SourceTree Analyzer uses the file associations that are set in Windows. Check that double clicking the file in Windows explorer opens the file in the editor you want, if it doesnt then go to the Tools/Folder Options/File Types menu in My Computer and set up the appropriate file type association.
Every file in the tree is being marked as deleted/created. | Ensure that you have selected the correct locations for the root of the trees, ie you haven't selected a parent directory instead of the real root directory for one of the document trees. SourceTree Analyzer checks the trees relative to the tree root that you supply, so if the root of the trees aren't equivalent, it won't match up the files.

If you have any further problems please don't hesitate to contact our support staff via email at support@nitrotech.co.uk


Frequently Asked Questions

Question | Answer
What benefits does upgrading to the full version bring? | The demo version of Nitro Technologies' SourceTree Analyzer will only provide accurate analysis for trees with 5 files or less each; once that limit is reached, any further files in the document trees will be ignored. The full version is limited only by computer memory and has been tested with over 100,000 files in a tree. SourceTree Analyzer when running on a reasonably modern computer with 128mb of RAM could probably handle several million files per tree.
Who are Nitro Technologies? | We are a software company based in the United Kingdom who specialise in writing small footprint/high performing applications utilising the latest technologies. Check out our About page and feel free to email us if you have any queries.
How do I know my credit card details will be safe? | We use the software order processing company SWreg to process credit card transactions. SWREG® is the most advanced secure payment registration site on the web today with annual sales around the $17m mark. If you do not wish to send your credit card details online, there are several other options available. Please visit our purchase page for further information.